<template>
  <div class="col-md-2 bg-light text-capitalize second-sidebar p-0 d-none d-sm-block" style="font-weight:500">
    <h3 class="menu-name">{{menuName}}</h3>
    <hr>
    <ul class="list-group">
        <li class="list-group-item submenu-item mb-3" :class="{'active':isActive(submenu.slug)}" v-for="submenu in activeMenu.submenus" :key="submenu.id">
        <router-link :to="{name:`${activeMenu.name}.${submenu.slug}`}" class="text-muted"> {{submenu.name}}</router-link>

        </li>
    </ul>

  </div>
</template>
<script>
import EventBus from "@/EventBus.js";

export default {
  props:['menuName'],
  data() {
    return {
     
    };
  },
  computed:{
      activeMenu(){
        let menus= _.filter(this.$store.getters["sidebar/menus"], (o)=> { return o.name == this.menuName });
        return menus[0] || []
      },
      
  },
  methods: {
   isActive(slug){
        return this.$route.path.split('/')[3] == slug;
          
      }
  }
};
</script>
<style lang="scss" scoped>
.menu-name{
    padding: 1.5rem;
    padding-bottom: 0
}
.list-group-item{
    border:none;
    background: transparent;
    border-radius: unset
}
.submenu-item{
    border-left:5px solid transparent !important;

    &.active{
        border-left:5px solid #0087d3 !important

    }
}
</style>

